stages:
  - build
  - deploy

build-project:
  stage: build
  image: gradle:jdk8
  script:
    - gradle clean build
  artifacts:
    paths:
      - build/libs/*.jar

deploy-to-heroku:
  stage: deploy
  image: ubuntu:latest
  before_script:
    - apt update
    - apt install -y curl gnupg openjdk-8-jdk-headless
    - echo "deb https://cli-assets.heroku.com/apt ./" > /etc/apt/sources.list.d/heroku.list
    - curl https://cli-assets.heroku.com/apt/release.key | apt-key add -
    - apt update
    - apt install -y heroku
    - heroku plugins:install heroku-cli-deploy
  script:
    - HEROKU_API_KEY=$HEROKU_API_KEY heroku deploy:jar build/libs/*.jar --app $HEROKU_APP_NAME

#deploy-to-heroku-via-dpl:
#  stage: deploy
#  image: ruby:latest
#  script:
#    - apt-get update -qy
#    - apt-get install -y ruby-dev
#    - gem install dpl
#    - dpl --provider=heroku --app=$HEROKU_APP_NAME --api-key=$HEROKU_API_KEY